Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.messaging
Class MessagingAddressType

    java.lang.Object
      com.bea.netuix.application.communities.messaging.MessagingAddressType

    public class MessagingAddressType

extends Object

Represents a single type of `MessagingAddress`. There are three basic classes of `MessagingAddressType`: EMAIL type, which does not generally have either a qualifier or custom type name, INSTANT_MESSAGE type, which generally does have a qualifier which is the instant messaging transport, such as Yahoo or MSN, and CUSTOM, which generally will have a custom type name and may have a qualifier, similar to the instant messaging class of types.

The overview of community functionality contains a description of the community framework.

Nested Class Summary
`static class` | `MessagingAddressType.PrimaryType`

Constructor Summary
`MessagingAddressType(MessagingAddressType.PrimaryType primaryType)` Ctor
`MessagingAddressType(MessagingAddressType.PrimaryType primaryType, String qualifier)` Ctor
`MessagingAddressType(String typeName, String qualifier, String customTypeName)` Ctor

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCustomTypeName()` Returns the custom type name
`MessagingAddressType.PrimaryType` | `getPrimaryType()` Returns the primary type for this `MessagingAddressType`
`String` | `getQualifier()` Returns the qualifier
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagingAddressType

    public MessagingAddressType(MessagingAddressType.PrimaryType primaryType)

  Ctor

  Parameters
    `primaryType` - primaryType associated with this `MessagingAddressType`

### MessagingAddressType

    public MessagingAddressType(MessagingAddressType.PrimaryType primaryType,
                                String qualifier)

  Ctor

  Parameters
    `primaryType` - primaryType associated with this `MessagingAddressType`
    `qualifier` - qualifier for the primary type

### MessagingAddressType

    public MessagingAddressType(String typeName,
                                String qualifier,
                                String customTypeName)

  Ctor

  Parameters
    `typeName` - name of the primary type associated with this `MessagingAddressType`
    `qualifier` - qualifier for the primary type
    `customTypeName` - custom name for the primary type

Method Detail

### getPrimaryType

    public MessagingAddressType.PrimaryType getPrimaryType()

  Returns the primary type for this `MessagingAddressType`

  Returns
    primary type

### getQualifier

    public String getQualifier()

  Returns the qualifier

  Returns
    qualifier

### getCustomTypeName

    public String getCustomTypeName()

  Returns the custom type name

  Returns
    custom type name

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.